﻿@using Jumbula.Web.WebLogic.UserService
@{
    Layout = null;
    var currentRole = this.GetCurrentUserRole();
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Emails
            </h1>
        </div>
        <div class="actions" ng-show="'@currentRole' =='Admin' || '@currentRole' =='Manager'">
            <a ui-sref="EmailCampaignAddBlade" class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Send new campaign">
                <i style="margin-top: 11px;" class="icon-plus-2 fg-black"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <label for="searchCampaignName">Search by campaign name</label>
    <div class="input-control text" data-role="input-control">
        <input ng-model="searchTerm" id="searchCampaignName" type="text" placeholder="Enter campaign name here" ng-change="">
        <button class="btn-search" tabindex="-1" type="button" ng-click="campaignSearch()"></button>
    </div>
    <div class="clearfix"></div>
    <kendo-grid id="grid" options="gridOptions"></kendo-grid>
    <div class="clearfix"></div>
</div>
